Thank you for your donation


Post Reply 
 
Thread Rating:
  • 1 Votes - 5 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[Part 3] Download torrent & newsserver packages
23rd Jan, 2015, 09:20 AM
Post: #211
RE: [Part 3] Download torrent & newsserver packages
I just flashed:
xbian-image-imx6-20150113.img.gz
to a new sd card and i want to try my cubox.
I just followed the tut in this thread.
I am Stuck when installing nzbget with
sudo apt-get install -y -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" xbian-package-nzbget

With the error:
Terminal
xbian@xbian ~ $ sudo apt-get install -y -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" xbian-package-nzbget
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
xbian-package-nzbget : Depends: libsigc++0c2 but it is not installable
E: Unable to correct problems, you have held broken packages.
xbian@xbian ~ $

Any advice?
sudo apt-get install libsigc++
Doesn't help either Sad
Find all posts by this user
Quote this message in a reply
31st Jan, 2015, 10:09 PM
Post: #212
RE: [Part 3] Download torrent & newsserver packages
EDIT: the updated package is now on the stable apt repository and can be installed as described in the first post:
Quote:sudo apt-get install -y -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" xbian-package-nzbget

Hi everyone.
It's been a long time since the NZBGet package received an update which is why I went to the GitHub repo and updated the package myself to the latest stable release 14.1. Already sent a pull request to the upstream master branch but before we merge it, I'll need confirmation from you guys that the updated package works. in the meantime I uploaded the .deb package to my GitHub page. It should be safe to install, just tried it on a clean XBian installation without problems Smile

here you go: - ssh into your XBian and make sure you have the latest updates installed

if you get something like "dpkg: error processing xbian-package-nzbget (--install): dependency problems - leaving unconfigured", then run the following command to install the dependencies.

Terminal
sudo apt-get -f install

Cheers, freem@n

EDIT: is nobody willing to test this? Sad

RPi 1 Model B & RPi 2
Find all posts by this user
Quote this message in a reply
21st Feb, 2015, 05:59 AM
Post: #213
RE: [Part 3] Download torrent & newsserver packages
I've installed, works perfectly!
Find all posts by this user
Quote this message in a reply
21st Feb, 2015, 08:48 PM
Post: #214
RE: [Part 3] Download torrent & newsserver packages
(21st Feb, 2015 05:59 AM)min Wrote:  I've installed, works perfectly!
thanks for your feedback!

RPi 1 Model B & RPi 2
Find all posts by this user
Quote this message in a reply
27th Feb, 2015, 10:09 AM
Post: #215
RE: [Part 3] Download torrent & newsserver packages
The command line from the first post didn't update anything but the lines below did. Thanks!
Any plan to replace Sickbeard-TPD with Sickrage?
Find all posts by this user
Quote this message in a reply
27th Feb, 2015, 06:12 PM
Post: #216
RE: [Part 3] Download torrent & newsserver packages
(27th Feb, 2015 10:09 AM)Bastiat Wrote:  The command line from the first post didn't update anything but the lines below did. Thanks!
Any plan to replace Sickbeard-TPD with Sickrage?
for updates you can simply run
Code:
sudo apt-get update && sudo apt-get upgrade

RPi 1 Model B & RPi 2
Find all posts by this user
Quote this message in a reply
1st Apr, 2015, 07:59 AM
Post: #217
RE: [Part 3] Download torrent & newsserver packages
Hi all!

I'm stuck with Sick Beard. I get two different kind of errors and I don't know how to fix it (searched the internet for a long time)..

Error 1
I cannot update Sick beard (tpb). On the top of the screen in the browser client it says:
"Unknown version: If you've never used the Sick Beard upgrade system then I don't know what version you have.— Update Now".
And when I press the Update Now link I get the following error:
CP Server Thread-7 :: Error while trying to update: expected a character buffer object
Where the Thread-# number is different each time.
The log file says this:
Code:
2015-03-31 21:44:24 ERROR    CP Server Thread-7 :: Error while trying to update: expected a character buffer object
2015-03-31 21:44:21 INFO     CP Server Thread-7 :: Deleting file /usr/local/share/sickbeard/sb-update/sb-update.tar
2015-03-31 21:44:16 INFO     CP Server Thread-7 :: Extracting file /usr/local/share/sickbeard/sb-update/sb-update.tar
2015-03-31 21:44:13 INFO     CP Server Thread-7 :: Downloading update from 'https://github.com/xbianonpi/Sick-Beard-TPB/tarball/ThePirateBay'
2015-03-31 21:44:13 INFO     CP Server Thread-7 :: Creating update folder /usr/local/share/sickbeard/sb-update before extracting
2015-03-31 21:44:13 WARNING  CP Server Thread-7 :: HTTP error 404 while loading URL https://api.github.com/repos/mr-orange/Sick-Beard/commits?per_page=100&sha=ThePirateBay

Error 2
When I download a show everything is OK but when it tries to download a subtitle it goes wrong, I get this error code:
Code:
2015-03-16 17:47:26 FINDSUBTITLES :: Error occurred when downloading subtitles: Traceback (most recent call last):
File "/usr/local/share/sickbeard/sickbeard/tv.py", line 1194, in downloadSubtitles
subtitles = subliminal.download_subtitles([self.location], languages=need_languages, services=sickbeard.subtitles.getEnabledServiceList(), force=force, multi=True, cache_dir=sickbeard.CACHE_DIR)
File "/usr/local/share/sickbeard/lib/subliminal/api.py", line 95, in download_subtitles
subtitles_by_video = list_subtitles(paths, languages, services, force, multi, cache_dir, max_depth, scan_filter)
File "/usr/local/share/sickbeard/lib/subliminal/api.py", line 54, in list_subtitles
tasks = create_list_tasks(paths, languages, services, force, multi, cache_dir, max_depth, scan_filter)
File "/usr/local/share/sickbeard/lib/subliminal/core.py", line 80, in create_list_tasks
logger.debug(u'Created task %r' % task)
File "/usr/local/share/sickbeard/lib/subliminal/tasks.py", line 45, in repr
return 'ListTask(%r, %r, %s, %r)' % (self.video, self.languages, self.service, self.config)
File "/usr/local/share/sickbeard/lib/subliminal/services/init.py", line 259, in repr
return 'ServiceConfig(%r, %s)' % (self.multi, self.cache_dir)
AttributeError: 'NoneType' object has no attribute 'cache_dir'

I'm running Xbian on a Raspberry Pi 2 by the way.
Find all posts by this user
Quote this message in a reply
17th Mar, 2016, 02:32 PM
Post: #218
RE: [Part 3] Download torrent & newsserver packages
Hi everyone.

I was able to run everthing but NZBget... I got this error.

dpkg: error processing package xbian-package-nzbget (--configure):
subprocess installed post-installation script returned error exit status 132
Processing triggers for systemd (215-17+deb8u3) ...
Errors were encountered while processing:
xbian-package-nzbget
E: Sub-process /usr/bin/dpkg returned an error code (1)

I have RP1-B - with xbian

Terminal

sudo apt-get install -y -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" xbian-package-nzbget
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
xbian-package-nzbget
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 2,178 kB of archives.
After this operation, 5,308 kB of additional disk space will be used.
Get:1 http://apt2.xbian.org stable/main xbian-package-nzbget armhf 16.4-xbian1 [2,178 kB]
Fetched 2,178 kB in 3s (681 kB/s)
Create a snapshot of '/run/btrfs-snap/root/@' in '/run/btrfs-snap/root/@btrfs-auto-snap_apt-run-2016-03-17-0422'
Transaction commit: none (default)
Delete subvolume '/run/btrfs-snap/root/@last_good_known'
Create a snapshot of '/run/btrfs-snap/root/@btrfs-auto-snap_apt-run-2016-03-17-0422' in '/run/btrfs-snap/root/@last_good_known'
Transaction commit: none (default)
Delete subvolume '/run/btrfs-snap/root/@btrfs-auto-snap_apt-run-2016-03-17-0319'
@btrfs-auto-snap_apt-run-2016-03-17-0422, 1 created snapshots, 1 destroyed snapshots, 0 warnings.
Selecting previously unselected package xbian-package-nzbget.
(Reading database ... 33645 files and directories currently installed.)
Preparing to unpack .../xbian-package-nzbget_16.4-xbian1_armhf.deb ...
Unpacking xbian-package-nzbget (16.4-xbian1) ...
Setting up xbian-package-nzbget (16.4-xbian1) ...
dpkg: error processing package xbian-package-nzbget (--configure):
subprocess installed post-installation script returned error exit status 132
Processing triggers for systemd (215-17+deb8u3) ...
Errors were encountered while processing:
xbian-package-nzbget
E: Sub-process /usr/bin/dpkg returned an error code (1)
Find all posts by this user
Quote this message in a reply
17th Mar, 2016, 07:02 PM (This post was last modified: 17th Mar, 2016 07:05 PM by Nachteule.)
Post: #219
RE: [Part 3] Download torrent & newsserver packages
@akitolong
I checked this, unfortunately the nzbget binary is not built for the armv6 architecture, so currently this version can not run on RPi1

I'll see if I can find a solution
Find all posts by this user
Quote this message in a reply
17th Mar, 2016, 10:00 PM
Post: #220
RE: [Part 3] Download torrent & newsserver packages
(17th Mar, 2016 07:02 PM)Nachteule Wrote:  @akitolong
I checked this, unfortunately the nzbget binary is not built for the armv6 architecture, so currently this version can not run on RPi1

I'll see if I can find a solution

Thanks for the answer.
I think I can install one of the previews release.
Find all posts by this user
Quote this message in a reply
17th Mar, 2016, 11:04 PM
Post: #221
RE: [Part 3] Download torrent & newsserver packages
I built a new package for RPi1

please run first:

Code:
sudo apt-get update
sudo apt-cache policy xbian-package-nzbget

You should get output as follows:

Terminal

xbian-package-nzbget:
Installed: (none)
Candidate: 16.4-xbian2
Version table:
16.4-xbian2 0
500 http://apt.xbian.org/ stable/rpi-jessie armhf Packages
100 /var/lib/dpkg/status
16.4-xbian1 0
500 http://apt.xbian.org/ stable/main armhf Packages
16.4 0
500 http://apt.xbian.org/ stable/main armhf Packages
14.2 0
500 http://apt.xbian.org/ stable/main armhf Packages

If this is ok, then you can install it

Code:
sudo apt-get install xbian-package-nzbget
Find all posts by this user
Quote this message in a reply
18th Mar, 2016, 03:00 PM
Post: #222
Thumbs Up RE: [Part 3] Download torrent & newsserver packages
I did install 14 version and this morning I upgrade. I saw that 16.4 xbian2 version was installed instead of the xbian1.
AND
it is working perfectly.
thanks for the answer.
Find all posts by this user
Quote this message in a reply
Post Reply 


Possibly Related Threads...
Thread: Author Replies Views: Last Post
  [Part 2] Download torrent & newsserver package(s) CurlyMo 190 346,882 23rd Jan, 2014 06:31 PM
Last Post: Robbie Wiggins

Forum Jump: